html,body{
	margin: 0;
	padding: 0;
	
}

body.homePage{
	min-height: 200vh;
}

.bodyclass{
	min-width: 400px;
}

#landing{
	font-family: "Special Elite";
	font-size: 3rem;
	text-align: center;
	background: #ddc3a3;
	height: calc(100vh);
	overflow-x: hidden;
	overflow-y: hidden;
	position: relative;
	z-index: 10000;
	box-shadow: 0 0 10px black;
}


#landingText{
	
	vertical-align: middle;
	height: 100%;

	line-height: 100vh;
}

#landingTextContainer{
	margin: 0;
	vertical-align: middle;
	display: inline-block;
	line-height: 10vh;
}

#landingTextContainer h2, #landingTextContainer h4{
	margin: 0;
}

#landingTextContainer h4{
	font-weight: normal;
	font-size: 1.75rem;
}

#upperLandingImage{
	position: absolute;
	top: 0;
	width: 500px;
}

#upperLandingImage img{
	width: 100%;
}

#upperMenu{
	position: absolute;
	right: 0;
	top: 0;
}

#upperLandingText{
	
}

#lowerLandingText{
	font-family: "Rye";
	font-size: 1.25rem;
	width: 100%;
	text-align: center;
	position: absolute;
	bottom: 6rem;
}


#lowerMenuContainer{
	border-top: solid black 1px;
	position: sticky;
	top: 0;
	height: 3rem;
	z-index: 1000;
	background: #ddc3a3;
	line-height: 3rem;
	font-family: "Special Elite";
	font-size: 1.25rem;
	box-shadow: 0 0 10px black;
	
}

#menuText{
	position: absolute;
	text-align: center;
	width: 100%;
	z-index: -1;
	height: 100%;
	vertical-align: middle;
}

#menuText img{
	height: calc(100% - .5rem);
	vertical-align: middle;
	padding: .25rem;
	position: relative;
}

#lowerMenuContainer img{
	/* height: 100%; */
}

#shoppingBasket, #menuMenuBars{
	height: 100%;
	display: inline-block;
	padding-left: 1rem;
}



#menuMenuBars{
	width: 1.5rem;
	height: 100%;
	cursor: pointer;
	padding-right: 1rem;
}

#menuMenuBars:hover{
	background: #ceb698;
}



.menuBarContainer{
	height: calc(100% - 2rem);
	padding-top: 1rem;
	padding-bottom: 1rem;
}

#menuMenuBars .menuBar{
	height: 20%;
	width: 100%;
	background: black;
	margin-top: 12.5%;
	border-radius: 1rem;
	content: '';
}

#menuMenuBars .menuBar:first-child{
	margin-top: 0;
}

#shoppingBasket{
	float: right;
	padding-right: 1rem;
	vertical-align: middle;
	position: relative;
	cursor:pointer;
	visibility: visible;
	transition-delay: .3s;
}

#shoppingBasket a{
	color: black;
	text-decoration: none;
	height: 100%;
	display: inline-block;
}

#shoppingBasket:hover{
	background: #ceb698;
}

#shoppingBasket img{
	height: 2.5rem;
	display: inline-block;
	vertical-align: middle;
}

#shoppingBasket.hidden{
	visibility: hidden;
}

#backButton{
	position: absolute;
	right: 0;
	top: 0;
	height: 100%;
	visibility: visible;
	transition-delay: .3s;
	padding-right: 1rem;
	min-width: 2rem;
	text-align: center;
	line-height: 1.5rem;
}

#backButtonX{
	font-size: 1.5rem;
	vertical-align:middle;
}

#backButton.hidden{
	visibility: hidden;
}

#backButtonText{
	display: none;
}


#backButton button{
	border: 0;
	background: inherit;
	font-family: inherit;
	font-size: inherit;
	cursor: pointer;
	height: 100%;
	width: 100%;
	display: block;
	padding: 0;
	line-height: inherit;
	color: black;
}

#numOrderJars{
	/* position: absolute; */
	/* color: white; */
	/* right: .25rem; */
	/* margin-left: auto; */
	/* margin-right: auto; */
	/* font-size: 1rem; */
	vertical-align: middle;
}

.verticalHelper{
	display: inline-block;
	vertical-align: middle;
	height: 100%;
}

#peanutLogo{
	height: 100%;
	display: inline-block;
	padding-left: 1rem;
}

#peanutLogo a{
	height: 100%;
	cursor: pointer;
	display: inline-block;
}

#peanutLogo img{
	position: relative;
	/* top: .25rem; */
	padding: .25rem;
	height: calc(100% - .5rem);
	vertical-align: middle;
}

#menuBackground{
	background: #ddc3a3;
	height: 100%;
	width: 100%;
	z-index: -2;
	position: absolute;
	top: 0;
}

#expansionMenu{
	width: 100%;
	position: absolute; 
	background: #ddc3a3;
	top: -15rem;
	z-index: -10;
	transition: all .3s linear;
	box-shadow: 0 0 10px black;
}

#expansionMenu.expanded{
	top: 3rem;
}

.expansionMenuItem{
	width: calc(100% - 1rem);
	padding: .5rem;
	border-top: solid black 1px;
}

.expansionMenuItem a{
	color: black;
}

.expansionMenuItem button{
	border: none;
	width: 100%;
	background: inherit;
	text-align: left;
	font-family: inherit;
	font-size: 1.25rem;
	text-decoration: underline;
	cursor: pointer;
	padding-left: 0;
	color: black;
}

#backHomeText{
	vertical-align: middle;
	z-index: 100;
	color: black;
	cursor: pointer;
	display: none;
}

#logoutText{
	display: none;
}

#smallBackHomeText{
	color: black;
}

#logoutButton{
	height: 100%;
	float: right;
	padding-right: 1rem;
	vertical-align: middle;
	color: black;
}

#logoutButton img{
	height: calc(100% - .5rem);
	padding: .25rem;
	vertical-align: middle;
}

#logoutButton a{
	color: black;
}

#aboutSectionContainer{
	position: relative;
	font-family: "Rye";
	height: 100%;
}

#aboutSection{	
	background: white;
	width: calc(100% - 2rem);
	position: fixed;
	left: -100%;
	transition: left .3s linear;
	transition-delay: left .3s;
	z-index: 500;
	top: 0rem;
	bottom: 0;
	height: 100%;
	text-align: center;
	z-index: 500;
	overflow-x: hidden;
	overflow-y: hidden;
	padding: 1rem;
}

#aboutSection.shown{
	left: 0;
}

#aboutSection.unfixed{
	position: relative;
}

#aboutSection.absolute{
	position: absolute !important;
	top: 0;
	bottom: 0;
}

#aboutSection h2{
	/* margin-top: 0; */
	z-index: 10;
	position: relative;
}

#aboutSectionContainer{
	width: 100%; 
	max-width: 768px;
	margin-left: auto;
	margin-right: auto;
}

#imageContainer{
	position: relative;
	width: 100%;
	text-align: center;
}

#clothImage{
	width: 75%;
	max-width: 400px;
	/* transform: rotate(45deg); */
	z-index: 1;
	max-height: 100%;
}

#stateImage{
	max-width: 300px;
}

#pbImage{
	width: 50%;
	position: relative;
	z-index: 5;
}



#productListing, #basketContainer, #checkoutContainer, #loginContainer, #statusContainer{
	min-height: 100vh;
	padding: 1rem;
	padding-top: 2rem;
	text-align: center;
	/* background: url('./TCom_ReclaimedWoodWall_2K_albedo.png'); */
	background: url('./images/TCom_FloorLaminateWhitewashed_New_2K_albedo.png'), url('./images/TCom_FloorLaminateWhitewashed_New_512_albedo.png');
	background-size: 100%, 100%;
}

#productListing{
	display: block;
}

#productListing.hidden{
	display: none;
}

#orderStatus{
	max-width: 768px;
	width: 100%;
	background: white;
	border: solid black 1px;
	margin-left: auto;
	margin-right: auto;
}

#statusHeader{
	padding: 1rem;
	background: #ddc3a3;
}

#statusHeader h2{
	margin: 0;
}

#loginContainer{
	padding-top: 0;
	min-height: calc(100vh - 4rem - 1px);
}

#loginForm{
	min-height: 10rem;
	background: white;
	border: solid black 1px;
	border-radius: 0 0 1rem 1rem;
	width: 100%;
	text-align: left;
	padding-bottom: 1rem;
	position: relative;
	max-width: 768px;
	margin-left: auto;
	margin-right: auto;
}

.loginInput{
	width: calc(100% - 2rem );
	padding-left: 1rem;
	padding-right: 1rem;
	margin-top: 1rem;
}

#loginForm label{
	display: block;
}

#loginForm input{
	width: 100%;
}

#loginButton{
	position: absolute; 
	bottom: 0;
	width: 100%;
	padding: 1rem;
	border: 0;
	border-top: solid black 1px;	
	border-radius: 0 0 1rem 1rem;
	background: #ddc3a3;
	cursor: pointer;
	font-weight: bold;
	color: black;
}

#portalLocations{
	width: 100%;
	height: calc(100vh - 4rem - 2px);
	background: white;
	font-family: "Rye";
}

#portalLocations input{
	font-family: "Rye";
}

.portalLocation{
	width: 100%;
	border-bottom: solid black 1px;
	position: relative;
	min-width: 400px;
	text-decoration: none;
	/* padding: 1rem; */
}

.portalLocation a{
	width: calc(100% - 2rem);
	padding-top: 1rem;
	padding-bottom: 1rem;
	display: block;
	color: black;
	padding-left: 1rem;
	padding-right: 1rem;
	text-decoration: none;
}

.portalProductOrderQtys{
	display: inline-block;
	width: 100%;
}

.portalOrderDetails{
	display: inline-block;
	vertical-align: middle;
	width: 20%;
	min-width: 150px;
}

.portalProduct6ozOrdered{
	display: inline-block;
	position: relative;
}

.portalProduct16ozOrdered{
	display: inline-block;
	position: relative;
	left: 1rem;
}

.portalProduct22ozOrdered{
	display: inline-block;
	position: relative;
	left: 2rem;
}

.portalProductNoneOnOrder{
	color: #ccc;
}

.portalOrderTimestamp{
	width: 100%;
	display: inline-block;
}

.portalOrderNumJars{
	height: 100%;
	display: inline-block;
	vertical-align: middle;
	top: 0;
	text-align: right;
	text-decoration: none;
	width: 15%;
	min-width: 75px;
}

.portalOrderNumJars:before{
	display: inline-block;
	content: '';
	vertical-align: middle;
	height: 100%;
	text-decoration: none;
}

.portalOrderStatus{
	vertical-align: middle;
	right: 3rem;
	display: inline-block;
	text-align: right;
	width: 30%;
	min-width: 75px;
}

.portalPickupIcon{
	display: inline-block;
	width: 5%;
	min-width: 30px;
	vertical-align: middle;
	text-align: right;
	
}

.portalPickupIcon img{
	width: 100%;
	max-width: 40px;
}


.portalOrder{
	padding: 1rem;
	text-align: center;
	max-width: 768px;
	margin-left: auto;
	margin-right: auto;
}

.portalOrderDetailsHeader{
	margin-bottom: 2rem;
}

.portalOrderItems{
	margin-top: 2rem;
	position: relative;
}

.portalOrderItems h3{
	margin-bottom: 2rem;
}

.portalOrderAddItemButton{
	position: absolute; 
	right:1rem;
	text-align: right;
	top: 0;
	font-size: 3rem;
	vertical-align: middle;
	line-height: 1.17rem;
}

.portalOrderAddItemButton a.disabledLink{
	pointer-events: none;
	color: lightgray;
}

.portalOrderAddItemButton a{
	cursor: pointer;
	color: black;
	text-decoration: none;
}

.portalOrderItem{
	text-align: left;
	padding: 1rem;
	border-top: solid black 1px;
}

.portalOrderItem:last-child{
	border-bottom: solid black 1px;
}

.portalOrderItemDetailView{
	text-align: center;
}

.portalOrderItemDetailContainer{
	text-align: center;
	max-width: 768px;
	margin-left: auto;
	margin-right: auto;
	padding-left: 1rem;
	padding-right: 1rem;
}

.portalOrderItemProductSelector{
	cursor: pointer;
	border-radius: 0;
	color: black;
	background: white;
	border: solid black 1px;
}

.portalOrderItemSizeSelectorContainer, .portalOrderItemQuantitySelectorContainer{
	margin-top: 1rem;
	display: inline-block;
	width: 25%;
	min-width: 150px;
}

.portalOrderItemSizeSelectorButtons{
	display: inline-block;
}

#portalOrderItemProduct{
	padding: .5rem;
	font-size: 1.25rem;
}

.portalOrderItemDetailQuantity{
	border-radius: 1rem;
	padding: .5rem;
	text-align: center;
	width: 50px;
	font-family: "Rye"; 
	font-size: 1rem;
}

.portalOrderItemDetailQuantity::-webkit-outer-spin-button,
.portalOrderItemDetailQuantity::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;

}

.portalOrderItemSubmitContainer{
	width: 100%;
	margin-top: 2rem;
}
	
.portalOrderItemSubmitContainer button{
	width: 100%;
	padding: 1rem;
	border-radius: 1rem;
	background: #ddc3a3;
	font-family: "Rye";
	cursor: pointer;
	font-size: initial;
}

.portalOrderItemCancelContainer{
	margin-top: 1rem;
	width: 100%;
}

.portalOrderItemCancelButton{
	width: calc(100% - 2rem);
	border: solid black 1px;
	padding: 1rem;
	display: block;
	color: black;
	border-radius: 1rem;
	
}

.portalOrderItemDetails{
	display: inline-block;
	/* text-align: center; */
	width: calc(80% - 5px);
	vertical-align: middle;
}

.portalOrderItemPrice{
	display: inline-block;
	width: calc(20% - 1px);
	text-align: right;
	vertical-align: middle;
}

.portalOrderItemControlsContainer{
	padding: .5rem;
	display: block;
	text-align: right;
}

.portalOrderItemControls{
	display: inline-block;
	padding-top: .5rem;
}

.portalOrderItemControls a{
	margin-left: .5rem;
	color: black;
}

.portalOrderItemControls a.disabledLink{
	pointer-events: none;
	color: lightgray;
}

.portalOrderItemDetailControls{
	margin-top: 2rem;
}

.portalOrderItemDetailControls a{
	width: calc(100% - 2rem);
	border: solid black 1px;
	border-radius: 1rem;
	padding: 1rem;
	display: inline-block;
	margin-top: 1rem;
	color: black;
}

.portalOrderItemDetailControls a.disabledLink{
	pointer-events: none;
}
	
.portalOrderItemDetailControls button{
	font-family: "Rye";
	width: 100%;
	padding: 1rem;
	border-radius: 1rem;
	background: #ddc3a3;
	cursor: pointer;
	font-size: initial;
	border: solid black 1px;
	color: black;
}

.portalOrderTotalDisplay{
	padding-top: 2rem;
	padding-bottom: 2rem;
	padding-left: 1rem;
	padding-right: 1rem;
	border-bottom: solid black 1px;
	font-weight: initial;
	text-align: left;
}

.portalOrderTotalText{
	display: inline-block;
	width: calc(80% - 5px);
	text-align: left;
	vertical-align: middle;
}

.portalOrderTotalPrice{
	text-align: right;
	display: inline-block;
	width: calc(20% - 1px);
	vertical-align: middle;
}

.portalOrderControls{
	/* margin-top: 1rem; */
	
}

.portalOrderControls button{
	border: solid black 1px;
	width: 100%;
	background: #ddc3a3;
	padding: 1rem;
	border-radius: 1rem;
	margin-top: 1rem;
	font-family: "Rye";
	cursor: pointer;
	font-size: initial;
}

.portalOrderControls .fillButton, .portalOrderControls .shipButton{
	color:black;
	font-size: initial;
}

.portalOrderControls .fillButton:disabled, .portalOrderControls .shipButton:disabled{
	color: rgba(16, 16, 16, 0.3);
}

button.portalOrderCancelButton{
	background: white;
	color: red;
}

.disabledControl button{
	background: #ad9980;
}

.disabledControl .portalOrderCancelButton{
	color: #966;
}

.portalOrderShipping{
	margin-top: 2rem;
}

.portalOrderShipping h3{
	margin-bottom: 2rem;
}

.portalArrow{
	position: absolute; 
	right: 1rem;
	height: 100%;
	display: block;
	top: 0;
	bottom: 0;
	vertical-align: middle;
}

.portalArrow:before{
	display: inline-block;
	content: '';
	vertical-align: middle;
	height: 100%;
}

.portalProduct{
	padding: 1rem;
	text-align: center;
	user-select: none;
}

.portalProductImage{
	width: 100%;
	height: 10rem;
	text-align: center;
	border-bottom: solid black 1px;
}

.portalProductImage img{
	height: 100%;
}

.portalProductDescription{
	font-family: "Rye";
	padding: 1rem;
	border-radius: 1rem;
	max-width: 768px;
	width: 40%;
}

.portalProductSizesContainer{
	text-align: center;
}

.quantityEditor{
	height: 1rem;
	vertical-align: middle;
	padding: 1rem;
	border: solid black 1px;
	border-radius: 1rem;
	cursor: pointer;
}

.editableQuantity{
	cursor: pointer;
	border: solid black 1px;
	padding: 1rem;
	border-radius: 1rem;
	vertical-align: middle;
	display: inline-block;
}

.portalProductSizeDetail{
	display: inline-block;
	width: 25%;
	min-width: 150px;
	padding-left: 1rem;
	padding-right: 1rem;
	vertical-align: top;
}

.portalProductSizeDetail input{
	width: 100%;
}

.portalProductPrice input{
	padding: 1rem;
	border-radius: 1rem;
	text-align: center;
	width: initial;
	max-width: calc(100% - 2rem);
}

.portalProductAvailable input[type='checkbox']{
	
	width: 100%;
	font-size: 2rem;
	height: 2rem;
	background: gray;
	color: gray;
	accent-color: black;
}

.portalProductQtyAccounted .editableQuantity{
	cursor: initial;
	background: #ccc;
}

.portalProductAccountedOrderPortal{
	border: solid gray 1px;
	/* padding-left: 1rem;
	padding-right: 1rem; */
	height: 400px;
	overflow-y: auto;
}

.noProductOrderPortalDisplay{
	padding: 1rem;
}

.productOrderPortalListItem{
	
	text-align: left;
	position: relative;
	/* border-bottom: solid gray 1px; */
	/* padding-top: 1rem;
	padding-bottom: 1rem; */
}

.productOrderPortalListItem:hover{
	background: #ccc;
	cursor: pointer;
}

.productOrderPortalListItem a{
	padding: 1rem;
	padding-bottom: 0;
	text-decoration: none;
	color: initial;
	text-decoration: none;
	display: inline-block;
	width: calc(100% - 2rem);
}

.productOrderPortalListItem a:hover{
	text-decoration: none;
	color: initial;
	cursor: pointer;
	background: #ccc;
} 

.productOrderPortalTextContainer{
	border-bottom: solid gray 1px;
	padding-bottom: 1rem;
	display: inline-block;
	width: 100%;
}

/* .productOrderPortalListItem:not(:first-child){
	border-top: solid gray 1px;
} */

.productOrderPortalOrderDate{
	position: absolute;
	right: 1rem;
	z-index: 1;
}

.productOrderPortalQuantityOrdered{
	text-align: left;
	display: inline-block;
	width: 100%;
}

.productCategoryHeader{
	color: black;
	background: #ddc3a3;
	/* background: #0000; */
	text-align: center;
	display: inline-block;
	margin-left: auto;
	margin-right: auto;
	/* padding-left: 2rem; */
	padding-top: 1.5rem;
	padding-bottom: 1.5rem;
	width: 75%;
	min-width: 250px;
	max-width: 850px;
	 box-shadow: 0 0 10px black;
	z-index: 100;
}

.productCategoryHeader h2{
	margin: 0;
}

/* .productCategoryHeader:after {
  content: '';
  position: absolute;
  top: 0;
  left: -1.5rem;
  width: 100%;
  height: 100%;
  background: #ddc3a3;
  -webkit-transform-origin: bottom right;
  -ms-transform-origin: bottom right;
  transform-origin: bottom right;
  -webkit-transform: skew(-45deg);
  -ms-transform: skew(-45deg);
  transform: skew(-45deg);
  z-index: -1;
  box-shadow: 0 0 10px black;
  border-radius: .25rem;
} */

.productCategoryContainer{
	text-align: center;
	margin-top: 1rem;
	margin-bottom: 1rem;
}


.productContainer{
	min-height: 20rem;
	border: solid black 1px;
	border-radius: 1rem;
	margin-top: 1rem;
	margin-bottom: 1rem;
	background: white;
	min-width: 350px;
	position: relative;
	overflow: hidden;
	/* box-shadow: 0 0 15px black; */
}

.soldOutProductContainer{
	background: #ddd;

}

.productContainer:first-child{
	/* margin-top: 6rem; */
}

.productImage{
	border-bottom: solid black 1px;
	height: 15rem;
	text-align: center;
	position: relative;
}



.productImage img{
	height: 100%;
}

.soldOutText{
	position: absolute;
	color: red;
	font-size: 4rem;
	font-family: "Special Elite";
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	vertical-align: middle;
	transform: rotate(-25deg);
}

.soldOutText:before{
	height: 100%;
	display: inline-block;
	vertical-align: middle;
	content: '';
}

.soldOutProductContainer .productIngredientsContainer{
	background: #ddd;
}

.productIngredients{
	position: absolute;
	bottom: .25rem;
	right: 1rem;
	width: calc(100% - 2rem);
	text-align: right;
}

.ingredientControl{
	display: inline-block;
	cursor: pointer;
	text-decoration: underline;
	background: inherit;
	z-index: 100;
}

.productIngredients .ingredientControl:hover .productIngredientsContainer{
	display: block;
}

.productIngredientsContainer{
	text-decoration: initial;
	position: absolute;
	top: -2rem;
	right: -.75rem;
	background-color: inherit;
	border: solid black .1rem;
	border-radius: 1rem;
	padding: 1rem;
	display: none;
	background: white;
}

.productIngredientsContainer.visible{
	display: block;
}

.productUnderneath{
	position: relative;
}

.productDetails{
	text-align: center;
}

.productDetails h4{
	margin: 0;
}

.productDetails p{
	margin-top: .5rem
}

.productQuantityCont{
	display: inline-block;
	width: 45%;
	margin-bottom: 1rem;
}

.productQuantityCont h5{
	margin: 0;
}

.productControls{
	
}

.sizeSelector{
	/* position: absolute; 
	right: 1rem;
	top: 1rem;
	bottom: 1rem;
	text-align: center; */
	display: inline-block;
	width: 40%;
	text-align: center;
	vertical-align: middle;
}

.soldOutSizeChooser .size:has(input:checked){
	background: #ccc;
}

.size{
	display: inline-block;
	border: solid black 1px;
	margin: 0;
	cursor: pointer;
}

.size label{
	display: block;
	padding: .5rem;
	cursor: pointer;
}

.size:first-child{
	border-radius: 1rem 0 0 1rem;
	border-right: none;
}

.size:last-child{
	border-radius: 0 1rem 1rem 0;
	border-left: none;
}

.size:has(input:checked){
	background: #ddc3a3	;
}

.soldOutProductContainer .size:has(input:checked){
	background: #ccc;
}

.size input{
	display: none;
}

.qtySelector{
	text-align: center;
	display: inline-block;
	width: 33%;
	vertical-align: middle;
	user-select: none;
}

.soldOutQtyChooser .qtyControl{
	background: #ccc;
}

.qtyControl{
	width: 1rem;
	text-align: center;
	padding:.5rem;
	margin: 0;
	border: solid black 1px;
	display: inline-block;
	position: relative;
	top: 1px;
	cursor:pointer;
}

.qtyControl:has(input){
	padding: 0;
	height: 34.6px;
	width: 2rem;
	top: 0;
	
}

.qtyControl input{
	width: 100%;
	border: 0;
	height: 100%;
	padding: 0;
	text-align: center;
	background: #fff0;
}

.qtyControl:last-child{
	border-radius: 0 1rem 1rem 0;
	border-left: none;
}

.qtyControl:first-child{
	border-radius: 1rem 0 0 1rem;
	border-right: none;
}


.qtyControl input::-webkit-outer-spin-button,
.qtyControl input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;

}

.qtyControl input[type=number]{
	-moz-appearance: textfield;
}

.priceDisplay{
	width: 20%;
	display: inline-block;
	vertical-align: middle;
	text-align: center;
}

.priceDisplay h4{
	margin: 0;
}

.priceTextContainer{
	height: 36px;
	line-height: 36px;
	font-size: 1.5rem;
	position: relative;
}

.shippingNotice{
	position: absolute;
	font-size: .65rem;
	line-height: .65rem;
	top: 32px;
	left: 0;
	right: 0;
	margin-left: auto;
	margin-right: auto;
}

.soldOutProductContainer .purchaseButton{
	background: #ddd;
}

.purchaseButton{
	width: 100%;
	background: #ddc3a3;
	border-radius: 0 0 1rem 1rem;
	text-align: center;
	cursor: pointer;
	margin-top: 1rem;
	padding-top: 1rem;
	padding-bottom: 1rem;
	border-top: solid black 1px;
	font-weight: bold;
	font-size: 1.25rem;
}

.soldOutButton{
	background: #999;
}

#basket, #checkoutForm, #statusForm{
	width: 100%;
	max-width: 768px;
	background: white;
	min-height: 2rem;
	margin-left: auto;
	margin-right: auto;
	border: solid black 1px;
	border-top: 0;
	
}

#emptyBasketMessage{
	border-top: solid black 1px;
	width: 100%;
	font-size: 1.25rem;
}

#emptyBasketImage{
	width: 25%;
}

#checkoutForm{
	border-top: 0;
}



.checkoutHeader{
	background: #ddc3a3;
	padding: 1rem;
	border-top: solid black 1px;
}

.statusHeader h2{
	background: #ddc3a3;
	padding: 1rem;
	border-top: solid black 1px;
}

.checkoutHeader h2{
	margin: 0;
}

#checkStatusButton{
	background: #ddc3a3;
	width: 100%;
	border: 0;
	border-top: solid black 1px;
	padding: 1rem;
	cursor: pointer;
	color: black;
	font-weight: bold;
}

#checkoutPersonalDetails h3, #statusPersonalDetails h3{
	font-size: 1.5rem;
	margin-bottom: 0;
	margin-left: -1.5rem;
}

#statusPersonalDetails h3{
	margin-top: 0;
}

.checkoutInputGroup{
	width: calc(100% - 2rem);
	min-width: 275px;
	padding: 1rem;
	text-align: left
}	

.checkoutName{
	margin-top: 1rem;
}

.checkoutAddress{
	margin-top: 1rem;
}

.checkoutAddress select{
	width: 100%;
}

.checkoutContact{
	margin-top: 1rem;
	margin-bottom: 1rem;
}


.checkoutInputGroup label{
	display: block;
	text-align: left;
}

.checkoutInputGroup input{
	width: 100%;
}

.basketItem{
	min-height: 4rem;
	height: 4rem;
	border-top: solid black 1px;
	padding-top: 1rem;
	padding-bottom: 1rem;
	text-align: left;
	position: relative;
}

.basketItemImage{
	
	height: 100%;
	max-width: 20%;
	width: 5rem;
	float: left;
	text-align: center;
	display: inline-block;
	vertical-align: middle;
	
}

.basketItemImage img{
	height: 100%;
}

.productBasketDetails{
	display: inline-block;
	width: 60%;
	vertical-align: middle;
	height: 100%;
	font-size: .8rem;
	text-align: left;
}

.productBasketDetails h3{
	display: inline-block;
	margin: 0;
}

#confirmationBlock{
	border-top: solid black 1px;
}

.basketCancelButton{
	background: #ddd;
	width: calc(50% - 2rem);
}

.basketDeleteButton{
	background: #ddc3a3;
	border-left: solid black 1px;
	width: calc(50% - 2rem - 1px);
}

.basketDeleteButton, .basketCancelButton{
	display: inline-block;
	padding: 1rem;
	border-top: solid black 1px;
	border-bottom: 0;	
	color: black;
	text-decoration: none;
}

.productQty{
	display: inline-block;
	
}

.productPrice{
	display: inline-block;
	float: right;
	width: 20%;
	text-align: center;
	vertical-align: middle;
}

.productBasketControls{
	position: absolute;
	right: 0;
	bottom: 1rem;
	width: 20%;
	text-align: center;
}

.productBasketDeleteButton{
	border: solid black 1px;
	border-radius: .5rem;
	width: 50%;
	max-width: 2rem;
	margin-left: auto;
	margin-right: auto;
	padding: .5rem;
	color: black;
}


.subtotalLine, .totalLine{
	padding-left: 1rem;
	border-top: solid black 1px;
	text-align: left;
	padding-top: 1rem;
	padding-bottom: 1rem;
}

.subtotalLine h3, .subtotalLine h4, .totalLine h3{
	display: inline-block;
	vertical-align: middle;
	margin: 0;
}

.subtotalLine h4{
	font-weight: normal;
	vertical-align: middle;
	height: 100%;
}

#subtotalDisplay, #totalAmount{
	float: right;
	min-width: 20%;
	text-align: center;
	vertical-align: middle;
	font-weight: bold;
}

#shippingCost, #shippingChooser{
	vertical-align: middle;
	text-align: center;
	vertical-align: middle;
	display: inline-block;
	float: right;
	text-align: center;
	overflow: hidden;
	/* padding-right: .5rem; */
	min-width: 20%;
	text-align: center;
	/* position: absolute; */
	/* right: 1rem; */
}

#orderComments{
	border-top: solid black 1px;
	padding: 1rem;
}

#orderComments textarea{
	width: 100%;
}

.checkoutMessage{
	padding-left: 1rem;
	padding-right: 1rem;
}

.checkoutLine{
	border-top: solid black 1px;
	background: #ddc3a3;
	font-weight: bold;
	cursor: pointer;
	width: 100%;
	height: 3rem;
}

.checkoutLine img{
	height: 75%;
	vertical-align: middle;
}

.checkoutButton{
	height: 100%;
	width: 100%;
	display: inline-block;
	vertical-align: middle;
	line-height: 3rem;
	color: black;
	text-decoration: none;
	border: none;
	background: #0000;
	cursor: pointer;
	font-weight: bold;
}

#checkoutComplete{
	background: white;
	min-height: 10rem;
	border: solid black 1px;
	max-width: 768px;
	margin-left: auto;
	margin-right: auto;
}

.portalOrderItemSubmitButton{
	color: black;
	/* font-weight: bold; */
	border: solid black 1px;
}

@media (min-width: 768px){
	#lowerLandingText{
		bottom: 1rem;
	}
	
	#upperLandingText{
		position: absolute;
		top: 2rem;
		right: 2rem;
		font-size: 2rem;
	}
	
	#backHomeText{
		display: inline;
	}
		
	#smallBackHomeText{
		display: none;
	}
	
	#backButtonText{
		display: inline;
	}
	
	#backButtonX{
		display: none;
	}
	
	#logoutText{
		display: initial;
	}
	
	.productContainer{
		width: calc(50% - 1rem);
		margin-right: .5rem;
		display: inline-block;
		max-width: 500px;
	}
	
	.productBasketDetails{
		font-size: initial;
	}
	
	

	
}

@media (min-width: 1600px){
	#upperLandingImage{
		width: initial;
	}
}